//+------------------------------------------------------------------+
//|                                 Display symbol and timeframe.mq4 |
//+------------------------------------------------------------------+

#property indicator_chart_window

#include <WinUser32.mqh>

extern int        FontSize               = 16;
extern string     FontID                 = "Arial";
extern color      FontColor              = Silver;
extern int        HorizPos               = 1;
extern int        VertPos                = 84;
extern int        Corner                 = 3;

string   ccy, sym, IndiName;
int      dig, tf, tmf;
double   spr, pnt, tickval, bidp, askp, minlot, lswap, sswap;

string objname = "#symbolandperiod";

//+------------------------------------------------------------------+
int init()  {
//+------------------------------------------------------------------+
  ccy     = Symbol();
  tmf     = Period();
  pnt     = MarketInfo(ccy,MODE_POINT);
  dig     = MarketInfo(ccy,MODE_DIGITS);
  spr     = MarketInfo(ccy,MODE_SPREAD);
  tickval = MarketInfo(ccy,MODE_TICKVALUE);
  if (dig == 3 || dig == 5) {
    pnt     *= 10;
    spr     /= 10;
    tickval *= 10;
  }  
  if (ObjectFind(objname) < 0) {
    ObjectCreate(objname,OBJ_LABEL,0,0,0);
    ObjectSet(objname,OBJPROP_XDISTANCE,HorizPos);
    ObjectSet(objname,OBJPROP_YDISTANCE,VertPos);
    ObjectSet(objname,OBJPROP_CORNER,Corner);
    ObjectSetText(objname,ccy+" ("+TFToStr(tmf)+")",FontSize,FontID,FontColor);
  }  
  return(0);
}

//+------------------------------------------------------------------+
int deinit()  {
//+------------------------------------------------------------------+
  ObjectDelete(objname);
  return(0);
}

//+------------------------------------------------------------------+
int start()  {
//+------------------------------------------------------------------+
  return(0);
}

//+------------------------------------------------------------------+
string TFToStr(int tf)
//+------------------------------------------------------------------+
// Converts a MT4-numeric timeframe to its descriptor string
// Usage:   string s=TFToStr(15) returns s="M15"
{
  switch (tf)  {
    case     1 :  return("M1");
    case     5 :  return("M5");
    case    15 :  return("M15");
    case    30 :  return("M30");
    case    60 :  return("H1");
    case   240 :  return("H4");
    case  1440 :  return("D1");
    case 10080 :  return("W1");
    case 43200 :  return("MN");
  }  
  return("");
}  